let tableIns;
let tree;
let userId;
let bHasData = false;
let mainTableUrl = "/backstage_picture/findAll";
let mainDeleteUrl = "/backstage_picture/delete";
layui.config({
    base: ctx + '/common/'
}).extend({
    dragMove: 'dragMove/dragMove'
})
layui.use(['element', 'form', 'table', 'layer', 'laydate', 'tree', 'util','dragMove'], function () {
    let table = layui.table, form = layui.form,dragMove = layui.dragMove;
    form.verify({
        // positiveInteger: [/^(([0-9]+[\.]?[0-9]+)|[1-9])$/, '只能填写正整数'],//必填，且只能输入正整数
        positiveInteger: [/^[1-9]\d*$/, '只能填写正整数'],//必填，且只能输入正整数
    });

    let element = layui.element; //导航的hover效果、二级菜单等功能，需要依赖element模块
    let laydate = layui.laydate;
    tree = layui.tree;

    //执行示例
    dragMove.render({
        elem: "#cardBody", //指向图片的父容器
        layerArea: ["960px","720px"], //弹窗的宽高，同layer的area，默认["960px","720px"]
        layerShade: 0.6, //遮罩的透明度，同layer的shade，默认0.6
        layerMove: false, //触发拖动的元素，同layer的move，这里默认禁止，可设置为'.layui-layer-title'
        maxZoom: 1 //图片能放大的最大倍数，默认1倍
    });

    // let height = document.documentElement.clientHeight;
    //用户列表
    tableIns = table.render({
        elem: '#mainTable'
        , url: ctx + mainTableUrl
        , method: 'POST'
        //请求前参数处理
        , request: {
            pageName: 'page' //页码的参数名称，默认：page
            , limitName: 'rows' //每页数据量的参数名，默认：limit
        }
        , where: {sidx: "desc", sord: "createTime"}
        , response: {
            statusName: 'flag' //规定数据状态的字段名称，默认：code
            , statusCode: true //规定成功的状态码，默认：0
            , msgName: 'msg' //规定状态信息的字段名称，默认：msg
            , countName: 'records' //规定数据总数的字段名称，默认：count
            , dataName: 'rows' //规定数据列表的字段名称，默认：data
        }
        //响应后数据处理
        , parseData: function (res) { //res 即为原始返回的数据
            var data = res.data;
            console.log("返回的地址数据：", data);
            if (data!=null&&data.rows && data.rows.length > 0) {
                bHasData = true;
            }
            return {
                "flag": res.flag, //解析接口状态
                "msg": res.msg, //解析提示文本
                "records": data.records, //解析数据长度
                "rows": data.rows //解析数据列表
            };
        }
        , toolbar: '#mainTableToolbarDemo'
        , title: '列表'
        , cols: [[
            {field: 'pictureId', title: '图片ID', sort: true}
            ,
            {   //0是游戏列表图片，1是icon，2是cover，3是公共avatar
                field: 'pictureType', title: '设备类型', templet: function (d) {
                 if (d.pictureType == 0) {
                        return '<span style="color: green">游戏列表</span>';
                    } else if (d.pictureType == 1) {
                        return '<span style="color: red">图标</span>';
                    } else if (d.pictureType == 2) {
                        return '<span style="color: blue">封面</span>';
                    } else if (d.pictureType == 3) {
                        return '<span style="color: blueviolet">公共avatar</span>';
                    } else {
                        return '未添加:' + d.pictureType;
                    }
                }, sort: true
            }
            ,
            {
                field: 'gamePicture', title: '是否关联着游戏数据', templet: function (d) {
                    if (d.gamePicture !== null) {
                        return '<span style="color: green">存在游戏数据</span>';
                    } else {
                        return '<span style="color: red">没有游戏数据</span>';
                    }
                }, sort: true
            }
            ,
            {
                field: 'associatedId', title: '关联id', templet: function (d) {
                    if (d.associatedId !== null) {
                        return '<span style="color: green">'+d.associatedId+'</span>';
                    } else {
                        return '<span style="color: red">没有关联id</span>';
                    }
                }, sort: true
            }

            , {field: 'pictureUrl', title: '游戏图片', templet: '#pictureUrl'}
            , {field: 'createTime', title: '创建时间', hide: true}
            , {field: 'updateTime', title: '更新时间', hide: true}
            , {fixed: 'right', title: '操作', width: 140, toolbar: '#mainTableBarDemo'}
        ]]
        , defaultToolbar: ['', 'exports', 'print']
        , page: true
        // , height: height
        , cellMinWidth: 80
    });

    //头工具栏事件
    table.on('toolbar(test)', function (obj) {
    });

    //监听行工具事件
    table.on('tool(test)', function (obj) {
        let data = obj.data;
       if (obj.event === 'del') {
            layer.confirm('真的删除行么?', function (index) {
                console.log(data);
                $.post(ctx + mainDeleteUrl, {pictureId: data.pictureId}, function (data) {
                    if (!data.flag) {
                        layer.msg(data.msg, {icon: 2, time: 2000}, function () {
                        });
                        return;
                    }
                    obj.del();
                    tableIns.reload();
                });
                layer.close(index);
            });
        }
    });


});

